<?php

if (!defined('sugarEntry') || !sugarEntry) {
    die('Not A Valid Entry Point');
}

require_once('include/Dashlets/DashletGeneric.php');
require_once('modules/ev_Orders/ev_Orders.php');

class ev_OrdersDashlet extends DashletGeneric {
    function __construct($id, $def = null)
    {
        global $current_user, $app_strings;
        require('modules/ev_Orders/metadata/dashletviewdefs.php');

        parent::__construct($id, $def);

        if (empty($def['title'])) {
            $this->title = translate('LBL_HOMEPAGE_TITLE', 'ev_Orders');
        }

        $this->searchFields = $dashletData['ev_OrdersDashlet']['searchFields'];
        $this->columns = $dashletData['ev_OrdersDashlet']['columns'];

        $this->seedBean = BeanFactory::newBean('ev_Orders');        
    }
}
